<!-- Page Heading -->
<div class="row mar-20">
    <div class="col-lg-8">
        <div class="ah-body-topbar">
            <div class="ah-page-title breadcrumbs">
                <h2> <a ui-sref="dashboard.doctors"> Doctors </a> /</h2>   
                <div class="breadcrumbs-sub">
                    <small> {{  method }} doctor</small>
                </div>
            </div>
        </div>
        <!-- <h1><a ui-sref="dashboard.doctors"> Doctors </a> /  <small> {{  method }} doctor</small></h1> -->
    </div>

</div>
<!-- /.row -->



<div class="row">
    <div class="col-lg-4">
        <header class="panel-heading font-bold">
          <h4> {{ doctor.user.first_name }} {{ doctor.user.last_name }}</h4>
      </header>
      <section class="panel panel-default">

        <div class="panel-body">


        <form name="hospitalForm" role="form" >

            <div class="form-group" >
                <label>First name *</label>
                <input class="form-control" ng-model="doctor.user.first_name" placeholder="Enter first name" required="">
            </div>
            <div class="form-group" >
                <label>Last name *</label>
                <input class="form-control" ng-model="doctor.user.last_name" placeholder="Enter last name" required="">
            </div>

            <div class="form-group">
                <label>Email *</label>
                <input type="email" ng-blur="checkEmail()"  class="form-control" ng-model="doctor.user.email" placeholder="Enter  email" required="">
            </div>
            <div class="form-group" ng-if="method=='Add'">
                <label>Password *</label>
                <input type="password" class="form-control" ng-model="doctor.user.password" placeholder="Enter  password" required="">
            </div>
            <div class="form-group" ng-if="method=='Edit'">
                <label>Password reset</label>
                <input type="password" class="form-control" ng-model="doctor.user.password" placeholder="Enter password to reset" >
            </div>

            <div class="form-group">
                <label>Email access info :</label>
                <checkbox
                    ng-model="doctor.sendEmail"
                    name="custom-name"
                    ng-true-value="true"
                    ng-false-value="false" >
                </checkbox>

            </div>

        </div>
    </section>
    <section class="panel panel-default">

        <div class="panel-body">

            <div class="form-group">
                <label>Specialty *</label>
                <!--<textarea class="form-control" ng-model="doctor.specialty" placeholder="Enter specialty " required=""></textarea>!-->
                <input
                    type="text"
                    ng-model="doctor.specialty"
                    placeholder="Search doctor specialty ..."
                    typeahead="specialty.name as specialty.name for specialty in getDoctorsSpecialty($viewValue)"
                    class="form-control" />
            </div>

            <div class="form-group">
                <label>Phone *</label>
                <input type="text" class="form-control" ng-model="doctor.phone" placeholder="Enter  phone number" required="">
            </div>


            <div class="form-group">
                <label>City *</label>
                <input class="form-control" ng-model="doctor.city" placeholder="Enter  city name" required="">
            </div>

            <div class="form-group">
                <label>Country *</label>
                <select ng-model="doctor.country" class="form-control" required="">
                    <option value="{{ key }}" ng-repeat="(key, value) in countries">{{ value }}</option>
                </select>
            </div>
            <div class="form-group">
                <label>Provider</label>
                <select class="form-control" ng-model="doctor.provider"  ng-disabled="hospital">
                    <option>Select Provider</option>
                    <option  ng-repeat="provider in providers" value="{{ provider.id }}" ng-selected="provider.id==doctor.provider">{{ provider.name }}</option>
                </select>
            </div>
            <div  ng-hide="user_group=='provider'" >
                <div class="form-group">
                    <label> Radiologist </label>
                     <checkbox
                        ng-model="doctor.is_radiologist"
                        name="radiologist"
                        ng-true-value="1"
                        ng-false-value="0" >
                    </checkbox>
                </div>
                <div class="form-group">
                    <label>Affiliated with Hospital </label>
                     <checkbox
                        ng-model="affiliatedHospital"
                        name="custom"
                        ng-true-value="true"
                        ng-false-value="false" >
                    </checkbox>
                </div>

                <div class="form-group" ng-show="affiliatedHospital">
                    <label>Facility</label>
                    <select class="form-control" ng-model="doctor.hospital"  ng-disabled="hospital">
                        <option>Select Hospital</option>
                        <option  ng-repeat="hospital in hospitals" value="{{ hospital.id }}" ng-selected="hospital.id==doctor.hospital">{{ hospital.name }}</option>
                    </select>
                </div>
                <div class="form-group">
                    <label>Referral code</label>
                    <input class="form-control" ng-model="doctor.referral_code" placeholder="Enter referral code">
                </div>

            </div>

            <div class="form-group">
                <label for="">Signature</label>
                <div class="block">
                    <span class="an-btn an-btn-primary btn-success  btn-file" ng-hide="doctor.signature">
                        <i class="fa fa-upload fa-plus-padd"></i>Upload
                        <input type="file"  nv-file-select="" options="{{ logo_uploader_options }}" uploader="logo_uploader"  >
                    </span>
                    <a ng-show="doctor.signature" ng-click="doctor.signature=''" class="btn btn-lg btn-danger"> <i class="fa fa-trash-o"></i>  Remove </a>

                    <div class="pull-right progress ah-progress-bar" ng-show="logo_uploader.isUploading"  >
                        <div  class="progress-bar progress-bar-success" role="progressbar" ng-style="{ 'width': logo_uploader.progress + '%' }"> {{ logo_uploader.progress }} %</div>
                    </div>
                </div>
                <br/>
                <img width="200px" ng-show="doctor.signature" src="{{ doctor.signature_file | AppStorage }}">
            </div>

            <a ng-click="saveDoctor()" ng-disabled="!hospitalForm.$valid" type="submit" class="an-btn an-btn-primary"><i class="fa fa-save"></i>  Save</a>
            <a ui-sref="dashboard.doctors"  class="an-btn an-btn-cancel"><i class="fa fa-times"></i>  Cancel</a>
            <!--
            <button  class="btn btn-default btn-lg"><i class="fa fa-times"></i>  Cancel</button>
            <button  class="btn btn-danger btn-lg"><i class="fa fa-trash-o"></i>  Delete</button>
            !-->

        </form>
        </div>
       </section>
    </div>
</div>
